
Foreman - Feature #29338

Add hosts to the hostgroup jail

03/12/2020 05:02 PM - Baptiste Agasse

Status: Closed   

Priority: Normal   

Assignee: Baptiste Agasse   

Category: Host groups   

Target version:    

Difficulty: trivial Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7512

  

Description

Usecase: We use hostgroups to manage some clusters configuration via puppet. In some cases we need to provide all cluster

master members fqdn/ip as a puppet class param value via smart class parameter

This can be acheived by using <%= @host.hostgroup.hosts.map { |h| h.name } %>

Associated revisions

Revision 41fd5151 - 03/13/2020 08:08 AM - Baptiste Agasse 

Fixes #29338 - Add hosts to the hostgroup jail

History

#1 - 03/12/2020 05:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Baptiste Agasse

- Pull request https://github.com/theforeman/foreman/pull/7512 added

#2 - 03/13/2020 08:09 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 03/13/2020 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 41fd5151af6d664bec5ad629c04b2531a09e9f1e.

#4 - 05/14/2020 07:07 AM - Amit Upadhye

- Category set to Host groups
